package com.ruoyi.app.domain;

import com.ruoyi.common.annotation.Excel;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.io.Serializable;

/**
 * plc管理对象 plc
 *
 * @author tony.wu
 * @date 2023-12-07
 */
public class Plc implements Serializable
{
    private static final long serialVersionUID = 1L;

    /** 记录plc增长，到9999999从1在开始 */
    @Excel(name = "记录plc增长，到9999999从1在开始")
    private Long plcid;

    public Long getPlcid() {
        return plcid;
    }

    public void setPlcid(Long plcid) {
        this.plcid = plcid;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("plcid", getPlcid())
            .toString();
    }
}
